Package com.arms.api.jira.jiraserver.model.enums

## Enum EntityType

- java.lang.Object
- - java.lang.Enum<EntityType>
  - - com.arms.api.jira.jiraserver.model.enums.EntityType

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<EntityType>`

      public enum EntityType
      extends java.lang.Enum<EntityType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `이슈상태` |
    `이슈우선순위` |
    `이슈유형` |
    `이슈해결책` |
    `프로젝트` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static EntityType` | `fromString​(java.lang.String type)` |
    `java.lang.String` | `getType()` |
    `static EntityType` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static EntityType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### 프로젝트

          public static final EntityType 프로젝트

    - #### 이슈유형

          public static final EntityType 이슈유형

    - #### 이슈상태

          public static final EntityType 이슈상태

    - #### 이슈우선순위

          public static final EntityType 이슈우선순위

    - #### 이슈해결책

          public static final EntityType 이슈해결책

  - ### Method Detail

    - #### values

          public static EntityType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EntityType c : EntityType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EntityType valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getType

          public java.lang.String getType()

    - #### fromString

          public static EntityType fromString​(java.lang.String type)